跳到主要内容

删除全球集群成员集群 (V2)

Deletes a member cluster from a Global Cluster. A secondary member cluster can be deleted directly. The primary member cluster can be deleted only after all secondary member clusters in the same Global Cluster have been deleted.

DELETE/v2/globalClusters/{globalClusterId}/clusters/{clusterId}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
globalClusterIdstringpathrequired

全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
clusterIdstringpathrequired

要删除的成员集群 ID,可以是主集群或从集群 ID。

示例值:in01-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"
export clusterId="in01-xxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/clusters/${clusterId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json
globalClusterIdstring

全球集群 ID。

示例值:glo-xxxxxxxxxxxxxxx
clusterIdstring

已删除成员集群 ID。

示例值:in01-xxxxxxxxxxxxxxx
promptstring

展示给用户的删除提示。

示例值:The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters.

返回错误消息。

codeinteger

响应码。

示例值:400
messagestring

错误描述。

示例值:Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"clusterId": "in01-xxxxxxxxxxxxxxx",
"prompt": "The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters."
}